Bug 426143 - Obsolete packages sysklogd and util-linux marked as essential in rpmpriorities
Obsolete packages sysklogd and util-linux marked as essential in rpmpriorities
Status: CLOSED DUPLICATE of bug 444287
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
: 428858 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-18 14:36 EST by Kevin Kofler
Modified: 2008-11-26 05:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 05:43:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-12-18 14:36:30 EST
Description of problem:
apt-get dist-upgrade from F7 to F8 fails with:
Calculating upgrade... Failed
The following packages have unmet dependencies:
  rsyslog: Obsoletes: sysklogd (< 1.4.3-1)
  util-linux-ng: Obsoletes: util-linux (< 2.13.1)
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by 
held packages.
(I updated apt to the F8 version first.)

Version-Release number of selected component (if applicable):
apt-0.5.15lorg3.93-4.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Try upgrading an F7 system to F8 with apt-get dist-upgrade.
  
Actual results:
Error, see above.

Expected results:
No error.

Additional info:
Changing sysklogd to rsyslog and util-linux to util-linux-ng 
in /etc/apt/rpmpriorities fixes this.
Comment 1 Panu Matilainen 2008-01-12 04:51:35 EST
Fixed in rawhide version now... 
Comment 2 Panu Matilainen 2008-01-15 13:41:45 EST
*** Bug 428858 has been marked as a duplicate of this bug. ***
Comment 3 Kevin Kofler 2008-04-26 12:32:29 EDT
This hasn't been fixed in F8 though. :-(

While cleaning up the list for F9, I noticed there's some more obsolete 
packages listed there, I'm going to file a new bug for F9 with the updated 
list, though for F8 the list has to be yet again different. I wonder if we 
shouldn't drop the notion of "essential" packages entirely, Fedora changes its 
base system too often for that to be useful.
Comment 4 Bug Zapper 2008-11-26 04:03:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Kevin Kofler 2008-11-26 05:43:45 EST
The rpmpriorities are still the same, now even more obsolete, in F9 and F10. But I already filed another bug about that, so let's close this one as a duplicate.

*** This bug has been marked as a duplicate of bug 444287 ***

Note You need to log in before you can comment on or make changes to this bug.